#!C:\gigaframecom\Gigaframe.Com.Powershell.CGI\Gigaframe.Com.PowerShell.CGI.exe
Using Namespace System.Collections.Generic;
<#HEADER#>
#Write-Host("HTTP/1.1 200 OK");
Write-Host("Content-Type: text/html");
Write-Host("");
<# INLINE INCLUDES #>
(. $PSScriptRoot\Gigaframe.Com.PowerShell.CGI.Common.ps1);
(. $PSScriptRoot\Gigaframe.Com.PowerShell.CGI.Web.ps1);
(. $PSScriptRoot\Gigaframe.Com.PowerShell.CGI.SQL.ps1);
(. $PSScriptRoot\Gigaframe.Com.PowerShell.CGI.MDB.ps1);
<# BODY #>
Write-Host("<html>");
Write-Host("<head>");
Write-Host("<title>Gigaframe.com Powershell CGI Demo</title>");
Write-Host("</head>");
Write-Host("<body style=""font-family:arial;"">");
Write-Host("<div style=""width:100%;height:75px;background-color:#4a82f7;color:#ffffff;text-align:center;vertical-align:middle;font-family:verdana;font-size:26px;font-weight:bold;border-color:#0f3585;padding-top:26px;"">");
Write-Host("Gigaframe.Com.PowerShell.CGI");
Write-Host("<br/><span style=""font-size:12px;"">by Robert Demelo, Gigaframe.com</span>");
Write-Host("</div>");
Write-Host("<br/><br/>");
Write-Host("<b>Hello World!</b><br/><br/>");

Write-Host("<table style=""width:100%"">");
Write-Host("<tr>");

Write-Host("<td>");
Write-Host("<b>Server Vars</b><br/>");
Write-Host("QUERY_STRING: " + $QueryData + "<br/>");
Write-Host("GATEWAY_INTERFACE: " + [System.Environment]::GetEnvironmentVariable("GATEWAY_INTERFACE") + "<br/>");
Write-Host("SERVER_NAME: " + [System.Environment]::GetEnvironmentVariable("SERVER_NAME") + "<br/>");
Write-Host("SERVER_SOFTWARE: " + [System.Environment]::GetEnvironmentVariable("SERVER_SOFTWARE") + "<br/>");
Write-Host("SERVER_PROTOCOL: " + [System.Environment]::GetEnvironmentVariable("SERVER_PROTOCOL") + "<br/>");
Write-Host("SERVER_PORT: " + [System.Environment]::GetEnvironmentVariable("SERVER_PORT") + "<br/>");
Write-Host("SERVER_PORT_SECURE: " + [System.Environment]::GetEnvironmentVariable("SERVER_PORT_SECURE") + "<br/>");
Write-Host("REQUEST_METHOD: " + [System.Environment]::GetEnvironmentVariable("REQUEST_METHOD") + "<br/>");
Write-Host("PATH_INFO: " + [System.Environment]::GetEnvironmentVariable("PATH_INFO") + "<br/>");
Write-Host("PATH_TRANSLATED: " + [System.Environment]::GetEnvironmentVariable("PATH_TRANSLATED") + "<br/>");
Write-Host("REMOTE_ADDR: " + [System.Environment]::GetEnvironmentVariable("REMOTE_ADDR") + "<br/>");
Write-Host("HTTP_CONTENT_LENGTH: " + [System.Environment]::GetEnvironmentVariable("HTTP_CONTENT_LENGTH") + "<br/>");
Write-Host("AUTH_TYPE: " + [System.Environment]::GetEnvironmentVariable("AUTH_TYPE") + "<br/>");
Write-Host("CONTENT_TYPE: " + [System.Environment]::GetEnvironmentVariable("CONTENT_TYPE") + "<br/>");
Write-Host("CONTENT_LENGTH: " + [System.Environment]::GetEnvironmentVariable("CONTENT_LENGTH") + "<br/>");
Write-Host("LOGON_USER: " + [System.Environment]::GetEnvironmentVariable("LOGON_USER") + "<br/>");
Write-Host("</td>");

Write-Host("<td>");
Write-Host("<a href=""?param1=Robert&param2=Developer"">Click Here to Test Query String</a>");
Write-Host("<form action=""index.ps1"" method=""post"">");
Write-Host("Name <input type=""text"" id=""txtname"" name=""txtname"" value=""$(GetPost("txtname"))""><br/>");
Write-Host("Age <input type=""text"" id=""txtage"" name=""txtage"" value=""$(GetPost("txtage"))""><br/>");
Write-Host("1st Number: <input type=""text"" id=""txtnum1"" name=""txtnum1"" value=""$(GetPost("txtnum1"))""><br/>");
Write-Host("2nd Number: <input type=""text"" id=""txtnum2"" name=""txtnum2"" value=""$(GetPost("txtnum2"))""><br/>");
Write-Host("<input type=""submit"" id=""btnSubmit"" value=""Submit"" /><br/>");
Write-Host("</form>");
Write-Host("</td>");

Write-Host("<td>");
Write-Host("<b>Query Data</b><br/>");

# Parse Query String into Array
if($QueryData.Length -gt 0)
{
    ForEach($KeyName in $QueryVars.Keys)
    {
        Write-Host("$KeyName=$($QueryVars[$KeyName]) <br/>");
    }
}

Write-Host("<br/>");
Write-Host("<b>Posted Data</b><br/>");

if($PostData.Length -gt 0)
{
    ForEach($KeyName in $PostVars.Keys)
    {
        Write-Host("$KeyName=$($PostVars[$KeyName]) <br/>");
    }
}

$txtnum1 = GetPost("txtnum1");
$txtnum2 = GetPost("txtnum2");
If($txtnum1.Length -gt 0 -and $txtnum2.Length -gt 0)
{
    $num1 = [Convert]::ToInt32($txtnum1);
    $num2 = [Convert]::ToInt32($txtnum2);
    Write-Host("Total of 1st + 2nd Numbers = $($num1+$num2)");
}

Write-Host("</td>");

Write-Host("</tr>");
Write-Host("</table>");

Write-Host("<h2>Getting Data From MSSQL using Gigaframe.Com.PowerShell.SQL.SQL</h2>");

#[string] $ConnStr = "Server=(local);Database=Org;Trusted_Connection=True";
[string] $ConnStr = "Server=(local);Database=Org;User ID=dev;Password=develop123!";
[string] $SQLTxt = "SELECT UserID, FirstName, LastName, Email, Phone FROM USERS WHERE FirstName LIKE @FirstName";
[List[KeyValuePair[[string],[object]]]] $ParamList = 
[List[KeyValuePair[[string],[object]]]]::new();
$ParamList.Add([KeyValuePair[[string],[object]]]::new("@FirstName","R%"));

$Ds = MSSQLQuery -ConnString $ConnStr -SQLStatement $SQLTxt -Params $ParamList;

If($_MSSQL_Error -eq $True)
{
    Write-Host("<div>Error: $_MSSQL_Error</div>");
    Write-Host("<div>ErrorMessage: $_MSSQL_ErrorMessage</div>");
}

Write-Host("<table>");
Write-Host("<tr>");
Write-Host("<td>UserID</td><td>FirstName</td><td>LastName</td><td>Email</td><td>Phone</td>");
Write-Host("</tr>");
ForEach($r in $Ds.Tables)
{
    Write-Host("<tr>");
    Write-Host("<td>$($r.UserID)</td><td>$($r.FirstName)</td><td>$($r.LastName)</td><td>$($r.Email)</td><td>$($r.Phone)</td>");
    Write-Host("</tr>");
}
Write-Host("</table>");

<####### MariaDB Query + Results #######>

Write-Host("<h2>Getting Data From MariaDB using Gigaframe.Com.PowerShell.CGI.MDB</h2>");

#[string] $ConnStr = "Server=(local);Database=Org;Trusted_Connection=True";
[string] $ConnStr = "Server=127.0.0.1;Database=Org;User ID=dev;Password=develop123!";
[string] $SQLTxt = "SELECT UserID, FirstName, LastName, Email, Phone FROM USERS WHERE FirstName LIKE @FirstName";
[List[KeyValuePair[[string],[object]]]] $ParamList = 
[List[KeyValuePair[[string],[object]]]]::new();
$ParamList.Add([KeyValuePair[[string],[object]]]::new("@FirstName","R%"));

$Ds = MDBQuery -ConnString $ConnStr -SQLStatement $SQLTxt -Params $ParamList;

If($_MDB_Error -eq $True)
{
    Write-Host("<div>Error: $_MDB_Error</div>");
    Write-Host("<div>ErrorMessage: $_MDB_ErrorMessage</div>");
}

Write-Host("<table>");
Write-Host("<tr>");
Write-Host("<td>UserID</td><td>FirstName</td><td>LastName</td><td>Email</td><td>Phone</td>");
Write-Host("</tr>");
ForEach($r in $Ds.Tables)
{
    Write-Host("<tr>");
    Write-Host("<td>$($r.UserID)</td><td>$($r.FirstName)</td><td>$($r.LastName)</td><td>$($r.Email)</td><td>$($r.Phone)</td>");
    Write-Host("</tr>");
}
Write-Host("</table>");

Write-Host("</body>");
Write-Host("</html>");
