#!C:\gigaframecom\Gigaframe.Com.Powershell.CGI\Gigaframe.Com.PowerShell.CGI.exe
Using Namespace System.Collections.Generic;

<# INLINE INCLUDES #>
(. $PSScriptRoot\Gigaframe.Com.PowerShell.CGI.Common.ps1);
(. $PSScriptRoot\Gigaframe.Com.PowerShell.CGI.Web.ps1);
(. $PSScriptRoot\Gigaframe.Com.PowerShell.CGI.SQL.ps1);
(. $PSScriptRoot\Gigaframe.Com.PowerShell.CGI.MDB.ps1);

$THREADNAME = "Test";
$DEVICEID = [Guid]::NewGuid().ToString();
$DEVICEPRODUCTID = [Guid]::NewGuid().ToString();
$PRODUCTVERSION = [Guid]::NewGuid().ToString();

#[string] $ConnStr = "Server=(local);Database=Org;Trusted_Connection=True";
[string] $ConnStr = "Server=(local);Database=Org;User ID=dev;Password=develop123!";
[string] $SQLTxt = "INSERT INTO DEVICEPRODUCTS (DEVICEPRODUCTID,DEVICEID,PRODUCTNAME,PRODUCTVERSION,PRODUCTDATA,LASTUPDATE) VALUES (@DEVICEPRODUCTID,@DEVICEID,@PRODUCTNAME,@PRODUCTVERSION,@PRODUCTDATA,@LASTUPDATE)";
[List[KeyValuePair[[string],[object]]]] $ParamList = [List[KeyValuePair[[string],[object]]]]::new();
$ParamList.Add([KeyValuePair[[string],[object]]]::new("@DEVICEPRODUCTID",$DEVICEPRODUCTID));
$ParamList.Add([KeyValuePair[[string],[object]]]::new("@DEVICEID",$DEVICEID));
$ParamList.Add([KeyValuePair[[string],[object]]]::new("@PRODUCTNAME",$DEVICEPRODUCTID));
$ParamList.Add([KeyValuePair[[string],[object]]]::new("@PRODUCTVERSION",$PRODUCTVERSION ));
$ParamList.Add([KeyValuePair[[string],[object]]]::new("@PRODUCTDATA",$THREADNAME ));
$ParamList.Add([KeyValuePair[[string],[object]]]::new("@LASTUPDATE",[DateTime]::Now));

$RetVal = MSSQLExecute -ConnString $ConnStr -SQLStatement $SQLTxt -Params $ParamList;

$Success = $RetVal.Get($RetVal.Count-1);
Write-Host("RET:$Success");

<#
Testing output in database
Sorted ProductData where load tester saves ThreadName

 SELECT [DEVICEPRODUCTID]
      ,[DEVICEID]
      ,[PRODUCTNAME]
      ,[PRODUCTVERSION]
      ,[PRODUCTDATA]
      ,[LASTUPDATE]
  FROM [ORG].[dbo].[DEVICEPRODUCTS]
  ORDER BY PRODUCTDATA, DEVICEID, LASTUPDATE DESC
#>